#
# spec file for package perl-Quantum-Superpositions (Version 1.03)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl perl-Class-Multimethods
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Class-Multimethods ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Quantum-Superpositions
Copyright:    Perl Artistic License
Group:        Development/Libraries/Perl
Autoreqprov:  on
Version:      1.03
Release:      34
Requires:     perl-Class-Multimethods
Source0:      http://cpan.org/modules/by-module/Quantum/Quantum-Superpositions-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      Qm-like superpositions for Perl

%description
The Quantum::Superpositions module provides a new scalar data
structure: the superposition. In a metaphor drawn from quantum
mechanics, superpositions store a collection of values by overlaying
them in parallel superimposed states within a single scalar variable.

Authors:
--------
    Damian Conway <damian@conway.org>

SuSE series: perl

%prep
%setup -n Quantum-Superpositions-%{version}
# replace rest of /usr/local/bin/perl with /usr/bin/perl
for f in `find . -type f -exec grep -l /usr/local/bin/perl \{\} \;` ; do
    rm -f tmp
    sed -e "s:^#!.*/usr/local/bin/perl:#!/usr/bin/perl:g" $f > tmp
    mv -f tmp $f
done

%build
perl Makefile.PL
make
make test

%install
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT%{_prefix} \
    INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
    INSTALLMAN3DIR=$RPM_BUILD_ROOT%{_mandir}/man3 \
    install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cp -pR ./demo/ $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Quantum/Superpositions
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_defaultdocdir}/%{name}
%doc %{_mandir}/man3/*
%{perl_sitearch}/../Quantum/Superpositions.pm
%{perl_sitearch}/auto/Quantum/Superpositions
/var/adm/perl-modules/%{name}

%changelog -n perl-Quantum-Superpositions
* Thu Aug 02 2001 - rvasice@suse.cz
- initial package release (version 1.03)
